package com.ruoyi.system.domain.project;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目施工对象 bm_project_construction
 * 
 * @author ruoyi
 * @date 2021-03-08
 */
public class BmProjectConstruction extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id* */
    private Long id;

    /** 项目id* */
    @Excel(name = "项目id*")
    private Long bmProjectId;

    /** 施工许可证 */
    @Excel(name = "施工许可证")
    private String constructionCode;

    /** 是否开工建设* */
    @Excel(name = "是否开工建设*")
    private String isConstruction;

    /** 开工日期* */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开工日期*", width = 30, dateFormat = "yyyy-MM-dd")
    private Date constructionStartdate;

    /** 预计完工日期* */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预计完工日期*", width = 30, dateFormat = "yyyy-MM-dd")
    private Date constructionEnddate;

    /** 施工合同 */
    @Excel(name = "施工合同")
    private String constructionDoc;

    /** 开工照片 */
    @Excel(name = "开工照片")
    private String constructionPhoto;

    /**
     * 合同约定开工时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date orderBeginTime;

    /**
     * 合同约定竣工时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date orderEndTime;

    public Date getOrderBeginTime() {
        return orderBeginTime;
    }

    public void setOrderBeginTime(Date orderBeginTime) {
        this.orderBeginTime = orderBeginTime;
    }

    public Date getOrderEndTime() {
        return orderEndTime;
    }

    public void setOrderEndTime(Date orderEndTime) {
        this.orderEndTime = orderEndTime;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBmProjectId(Long bmProjectId) 
    {
        this.bmProjectId = bmProjectId;
    }

    public Long getBmProjectId() 
    {
        return bmProjectId;
    }

    public void setConstructionCode(String constructionCode) 
    {
        this.constructionCode = constructionCode;
    }

    public String getConstructionCode() 
    {
        return constructionCode;
    }
    public void setIsConstruction(String isConstruction) 
    {
        this.isConstruction = isConstruction;
    }

    public String getIsConstruction() 
    {
        return isConstruction;
    }
    public void setConstructionStartdate(Date constructionStartdate) 
    {
        this.constructionStartdate = constructionStartdate;
    }

    public Date getConstructionStartdate() 
    {
        return constructionStartdate;
    }
    public void setConstructionEnddate(Date constructionEnddate) 
    {
        this.constructionEnddate = constructionEnddate;
    }

    public Date getConstructionEnddate() 
    {
        return constructionEnddate;
    }
    public void setConstructionDoc(String constructionDoc) 
    {
        this.constructionDoc = constructionDoc;
    }

    public String getConstructionDoc() 
    {
        return constructionDoc;
    }
    public void setConstructionPhoto(String constructionPhoto) 
    {
        this.constructionPhoto = constructionPhoto;
    }

    public String getConstructionPhoto() 
    {
        return constructionPhoto;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bmProjectId", getBmProjectId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .append("constructionCode", getConstructionCode())
            .append("isConstruction", getIsConstruction())
            .append("constructionStartdate", getConstructionStartdate())
            .append("constructionEnddate", getConstructionEnddate())
            .append("constructionDoc", getConstructionDoc())
            .append("constructionPhoto", getConstructionPhoto())
            .toString();
    }
}
